<ui:composition template="../template/templateAsistencia.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{asistenciaSalaMB.nombreSistema}:.
    </ui:define>

	<ui:define name="headCont">
		<style>
.box-table-class .ui-datatable-scrollable-body thead th {
	opacity: 0;
	padding: 0;
}

.obs-pe {
	background: #d6effe;
	color: #68544F;
}

.obs-pe-vencida {
	background: #d6effe;
	color: red;
}

.obs-pe-por-vencer {
	background: #d6effe;
	color: green;
}

.sin-obs-pe-vencida {
	color: red;
}

.sin-obs-pe-por-vencer {
	color: green;
}

.ui-state-disabled {
	opacity: 1;
}

.ui-fieldset-general {
	
}

.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
	display: none;
}
/* Select CheckBoxMenú */
.ui-selectcheckboxmenu-item:hover {
	background-color: #850100 !important;
	background-image: linear-gradient(to bottom, #BA0400, #840100)
		!important;
	color: #FFF
}

.ui-selectcheckboxmenu-item {
	font-size: 13.2px;
	font-weight: 300;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
	width: auto !important;
	border-left: 1px solid #a8a8a8 !important;
	border-radius: 0px 0px 0px 0px !important;
	background: #F9F9F9 !important;
	box-shadow: 0px 0px #FFF;
}

.ui-datatable .ui-datatable-even.ui-state-hover{
	background: #66ff99 ;
}

.ui-datatable  .ui-state-highlight {
  /*background-color: #7de27e !important;*/
  background-color: #ccffdd !important;
  
}
</style>
	</ui:define>

	<ui:define name="titlePages">
		<span> Monitoreo en tiempo real de las Salas de Lectura - Sede San Borja </span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Usuario: #{seguridadMB.usuarioLogin.nombreCompleto} - #{seguridadMB.usuarioLogin.usuario}</li>
	</ui:define>
	<!-- administrador por BNP -->
	<ui:define name="content">
        #{asistenciaSalaMB.validarSesion()}
        #{asistenciaSalaMB.obtenerListasMonitoreo()}
	    <div class="row">
			<h:form id="frmUsuariosEnSala" class="form-horizontal">
				<p:remoteCommand name="actualizaUsuariosEnSala"	 actionListener="#{asistenciaSalaMB.obtenerListasMonitoreo()}"
					update="frmUsuariosEnSala" ajax="true" />		
				<div class="col-md-12 page-head-line" >			
					<span><label style="color:blue; font-size: 17px;" class="control-label"><b>Fecha de Actualización: #{asistenciaSalaMB.listaMonitoreoEnSala.fechaActualizacion}</b></label>
					</span>
				</div>
				<div class="col-md-12 sin-bg-box" id="tablaUsuariosEnSala">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12 text-center page-head-line">
								<span><label style="color:blue; font-size: 17px;" class="control-label"><b>Usuarios actualmente en Sala</b></label>
								</span>	
								<h:panelGroup rendered="#{asistenciaSalaMB.salasUsoActualGrafico.hayUsuarios}">
									<p:chart type="pie" style="color:black; font-size: 25px;" model="#{asistenciaSalaMB.salasUsoActualGrafico.model}" />		
								</h:panelGroup>												
							</div>
						</div>
						<div class="row box-mb" >
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas3" var="registro"
										value="#{asistenciaSalaMB.listaMonitoreoEnSala.listaResumenUsuariosActivoPorSala}"
										paginator="false" scrollable="true"
										rowIndexVar="item" paginatorPosition="bottom" rows="100"  
										style="text-align:center;" emptyMessage="No se encontraron registros">

										<p:column headerText="Piso"  style="width:5px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.piso}"  />
										</p:column>
										<p:column headerText="Sala"  style="width:100px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.sala}"  />
										</p:column>
										<p:column headerText="En sala"  style="width:20px;text-align:right; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.usuariosEnSala}" />
										</p:column>
										<p:column headerText="Total del día"  style="width:20px;text-align:right; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.usuariosTotal}" />
										</p:column>
									</p:dataTable>
								</div>
							</div>
						</div>
					</p:fieldset>
				</div>
				<div class="col-md-12 sin-bg-box" id="tablaUsuariosAcumuladosSala">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="col-sm-12 text-center page-head-line">
							<span><label style="color:blue; font-size: 17px;" class="control-label"><b>Total de Usuarios del mes actual</b></label>
							</span>							
						</div>
						<div class="row box-mb" >
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas4" var="registro"
										value="#{asistenciaSalaMB.listaMonitoreoEnSala.listaResumenUsuariosPorSalaMesActual}"
										paginator="false" scrollable="true"
										rowIndexVar="item" paginatorPosition="bottom" rows="100"
										style="text-align:center;" emptyMessage="No se encontraron registros">

										<p:column headerText="Piso"  style="width:5px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.piso}"  />
										</p:column>
										<p:column headerText="Sala"  style="width:100px;text-align:left;color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.sala}"  />
										</p:column>
										<p:column headerText="Total de ingresos"  style="width:25px;text-align:right; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.usuariosTotalMes}" />
										</p:column>
										<p:column headerText="Promedio de ingreso diario"  style="width:25px;text-align:right; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.usuariosPromedioMes}" />
										</p:column>
									</p:dataTable>
								</div>
							</div>
						</div>
					</p:fieldset>
				</div>
				<div class="col-md-12 sin-bg-box" id="tablaReferencistasLogueadosPorSala">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="col-sm-12 text-center page-head-line">
							<span><label style="color:blue; font-size: 17px;" class="control-label"><b>Referencistas en Sala</b></label>
							</span>							
						</div>
						<div class="row box-mb" >
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas5" var="registro"
										value="#{asistenciaSalaMB.listaMonitoreoEnSala.listaReferencistasLogueadosPorSala}"
										paginator="false" scrollable="true"
										rowIndexVar="item" paginatorPosition="bottom" rows="100"
										style="text-align:center;" emptyMessage="No se encontraron registros">

										<p:column headerText="Piso"  style="width:15px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.piso}"  />
										</p:column>
										<p:column headerText="Sala"  style="width:50px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.sala}"  />
										</p:column>
										<p:column headerText="Referencista"  style="width:60px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.referencista}" />
										</p:column>
										<p:column headerText="Código"  style="width:25px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.userName}" />
										</p:column>
										<p:column headerText="Hora de acceso"  style="width:25px;text-align:center; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.hora}" />
										</p:column>
										<p:column headerText="Total de usuarios registrados"  style="width:25px;text-align:right;color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.usuariosRegistrados}" />
										</p:column>
									</p:dataTable>
								</div>
							</div>
						</div>
					</p:fieldset>
				</div>
				<div class="col-md-12 sin-bg-box" id="tablaReferencistasProgramadosPorSala">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="col-sm-12 text-center page-head-line">
							<span><label style="color:blue; font-size: 17px;" class="control-label"><b>Referencistas habilitados por Sala</b></label>
							</span>							
						</div>
						<div class="row box-mb" >
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas6" var="registro"
										value="#{asistenciaSalaMB.listaMonitoreoEnSala.listaReferencistasProgramadosPorSala}"
										paginator="false" scrollable="true"
										rowIndexVar="item" paginatorPosition="bottom" rows="100"
										style="text-align:center;" emptyMessage="No se encontraron registros">

										<p:column headerText="Piso"  style="width:15px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.piso}"  />
										</p:column>
										<p:column headerText="Sala"  style="width:60px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.sala}"  />
										</p:column>
										<p:column headerText="Referencista"  style="width:60px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.referencista}" />
										</p:column>
										<p:column headerText="Código"  style="width:25px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.userName}" />
										</p:column>
										<p:column headerText="Estado"  style="width:25px;text-align:left; color:black; font-weight:bold; font-size: 15px;" >
											<h:outputText value="#{registro.estado}" />
										</p:column>
									</p:dataTable>
								</div>
							</div>
						</div>
					</p:fieldset>
				</div>												
			</h:form>
		</div>
	</ui:define>
</ui:composition>